Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.es
Interface ESPK

All Known Implementing Classes:
  EntityBranch.EntityNode

    public interface ESPK

An interface for a unique Entity identifier. Any particular ESPK uniquely identifies an Entity within a particular store. The ESPK is valid for the duration of connection to the store. ESPK Implementations are created by the providers for the various underlying stores, e.g. ascending integer ids for a database, a DN string for LDAP etc.

Method Summary
`boolean` | `equals(java.lang.Object other)` Although the Object class in java guarantees the equals method, capture it here for completeness
`int` | `hashCode()` Although the Object class in java guarantees the hashCode method, capture it here for completeness
`java.lang.String` | `toString()` Retrieve a string representation of the key.

Method Detail

### toString

    java.lang.String toString()

  Retrieve a string representation of the key.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String encoding of the key.

### hashCode

    int hashCode()

  Although the Object class in java guarantees the hashCode method, capture it here for completeness

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hashcode for the key

### equals

    boolean equals(java.lang.Object other)

  Although the Object class in java guarantees the equals method, capture it here for completeness

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    True if this key equals another one, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel